/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _AIR_MEDIAHUB_MEDIADATA_H__
#define _AIR_MEDIAHUB_MEDIADATA_H__

#include <stdbool.h>

struct mediadata;

enum source_type {
	E_SOURCE_INTERNAL = 0,
	E_SOURCE_EXTERNAL,
	E_SOURCE_ALL,
	E_SOURCE_MAX
};

struct folderdata {
	char *name;
	time_t modified_time;
	Eina_List *list;
};

struct mediadata *mediadata_create(const char *media_type, int source_type);
void mediadata_destroy(struct mediadata *md);

#endif /* _AIR_MEDIAHUB_MEDIADATA_H__ */
