/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_DEFINE_H__
#define __AIR_MEDIAHUB_DEFINE_H__

/* views */
#include "view/base.h"
#include "view/viewer.h"

/* layouts */
#include "layout/movie.h"
#include "layout/gallery.h"
#include "layout/music.h"

/* defines */
#define STYLE_INVISIBLE "invisible"

#define FONT_REGULAR "TizenSans"
#define FONT_LIGHT "TizenSans:style=Light"
#define FONT_BOLD "TizenSans:style=Bold"

#define COLOR_TEXT_TITLE 51 51 51 255
#define COLOR_TEXT_MENU 104 104 104 255
#define COLOR_TEXT_INDEX 77 77 77 255
#define COLOR_TEXT_NORMAL 87 87 87 255
#define COLOR_TEXT_FOCUS 255 255 255 255
#define COLOR_TEXT_SELECTED 64 136 211 255
#define COLOR_TEXT_DISABLED 87 87 87 128
#define COLOR_BTN_FOCUS 0 119 246 255
#define COLOR_BTN_SELECTED 64 136 211 255
#define COLOR_ITEM_BG 56 55 59 255
#define COLOR_ITEM_FOCUS 0 119 246 255
#define COLOR_ITEM_FOCUS_0 0 119 246 0

#endif /* __AIR_MEDIAHUB_DEFINE_H__ */
