/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

struct controller;

struct controller_ops {
	void (*show)(void *handle);
	void (*hide)(void *handle);
	bool (*add_control)(void *handle, const char *name, int loc,
			const char *style, const char *part);
	void (*add_callback)(void *handle,
			void (*func)(void *, const char *), void *data);
	void (*focus)(void *handle, int loc, bool foc);
	void (*signal)(void *handle, int loc, const char *signal);
};

struct controller {
	void *handle;
	struct controller_ops *ops;
};

struct controller *controller_create(Evas_Object *base);
void controller_destroy(struct controller *m);
