/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _AIR_MEDIAHUB_GRIDMGR_H__
#define _AIR_MEDIAHUB_GRIDMGR_H__

#include <stdbool.h>

struct gridmgr;

struct grid_class {
	const char *grid_style;

	char *(*text_get)(void *data, Evas_Object *obj, const char *part);
	Evas_Object *(*content_get)(void *data, Evas_Object *obj,
				const char *part);
	/* It will be added later */
};

struct gridmgr *gridmgr_create(void);
bool gridmgr_destroy(struct gridmgr *gmgr);
bool gridmgr_add_grid(struct gridmgr *gmgr, const char *grid_id,
		Evas_Object *grid, struct grid_class *gclass);
bool gridmgr_update_grid(struct gridmgr *gmgr, const char *grid_id, Eina_List *item_list);

#endif /* _AIR_MEDIAHUB_GRIDMGR_H__ */
